Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::ChecksumIndexOutput Class Reference

Writes bytes through to a primary IndexOutput, computing checksum. Note that you cannot use seek(). More...

`#include <ChecksumIndexOutput.h>`

Inheritance diagram for Lucene::ChecksumIndexOutput:

## Public Member Functions

| ChecksumIndexOutput (IndexOutputPtr main)
virtual | ~ChecksumIndexOutput ()
virtual String | getClassName ()
boost::shared_ptr < ChecksumIndexOutput > | shared_from_this ()
virtual void | writeByte (uint8_t b)
| Writes a single byte. More...
virtual void | writeBytes (const uint8_t *b, int32_t offset, int32_t length)
| Writes an array of bytes. More...
int64_t | getChecksum ()
| Return calculated checksum. More...
virtual void | flush ()
| Forces any buffered output to be written. More...
virtual void | close ()
| Closes the stream to further operations. More...
virtual int64_t | getFilePointer ()
| Returns the current position in this file, where the next write will occur. More...
virtual void | seek (int64_t pos)
| Sets current position in this file, where the next write will occur. More...
void | prepareCommit ()
| Starts but does not complete the commit of this file (= writing of the final checksum at the end). After this is called must call finishCommit and the close to complete the commit. More...
void | finishCommit ()
| See prepareCommit. More...
virtual int64_t | length ()
| The number of bytes in the file. More...
Public Member Functions inherited from Lucene::IndexOutput
virtual | ~IndexOutput ()
boost::shared_ptr< IndexOutput > | shared_from_this ()
void | writeBytes (const uint8_t *b, int32_t length)
| Writes an array of bytes. More...
void | writeInt (int32_t i)
| Writes an int as four bytes. More...
void | writeVInt (int32_t i)
| Writes an int in a variable-length format. Writes between one and five bytes. Smaller values take fewer bytes. Negative numbers are not supported. More...
void | writeLong (int64_t i)
| Writes a int64 as eight bytes. More...
void | writeVLong (int64_t i)
| Writes an int64 in a variable-length format. Writes between one and five bytes. Smaller values take fewer bytes. Negative numbers are not supported. More...
void | writeString (const String &s)
| Writes a string. More...
void | writeChars (const String &s, int32_t start, int32_t length)
| Writes a sub sequence of characters from s as the old format (modified UTF-8 encoded bytes). More...
void | copyBytes (IndexInputPtr input, int64_t numBytes)
| Copy numBytes bytes from input to ourself. More...
void | setLength (int64_t length)
| Set the file length. By default, this method does nothing (it's optional for a Directory to implement it). But, certain Directory implementations (for example. More...
void | writeStringStringMap (MapStringString map)
| Write string map as a series of key/value pairs. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::IndexOutput
static String | _getClassName ()

## Protected Attributes

IndexOutputPtr | main
boost::crc_32_type | checksum
Protected Attributes inherited from Lucene::IndexOutput
ByteArray | copyBuffer

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Static Protected Attributes inherited from Lucene::IndexOutput
static const int32_t | COPY_BUFFER_SIZE

## Detailed Description

Writes bytes through to a primary IndexOutput, computing checksum. Note that you cannot use seek().

## Constructor & Destructor Documentation

Lucene::ChecksumIndexOutput::ChecksumIndexOutput | ( | IndexOutputPtr | main) |  |

virtual Lucene::ChecksumIndexOutput::~ChecksumIndexOutput | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::ChecksumIndexOutput::_getClassName | ( | ) |  |

inline static

virtual void Lucene::ChecksumIndexOutput::close | ( | ) |  |

virtual

Closes the stream to further operations.

Implements Lucene::IndexOutput.

void Lucene::ChecksumIndexOutput::finishCommit | ( | ) |  |

See prepareCommit.

virtual void Lucene::ChecksumIndexOutput::flush | ( | ) |  |

virtual

Forces any buffered output to be written.

Implements Lucene::IndexOutput.

int64_t Lucene::ChecksumIndexOutput::getChecksum | ( | ) |  |

Return calculated checksum.

virtual String Lucene::ChecksumIndexOutput::getClassName | ( | ) |  |

inline virtual

Reimplemented from Lucene::IndexOutput.

virtual int64_t Lucene::ChecksumIndexOutput::getFilePointer | ( | ) |  |

virtual

Returns the current position in this file, where the next write will occur.

See Also
  seek(int64_t)

Implements Lucene::IndexOutput.

virtual int64_t Lucene::ChecksumIndexOutput::length | ( | ) |  |

virtual

The number of bytes in the file.

Implements Lucene::IndexOutput.

void Lucene::ChecksumIndexOutput::prepareCommit | ( | ) |  |

Starts but does not complete the commit of this file (= writing of the final checksum at the end). After this is called must call finishCommit and the close to complete the commit.

virtual void Lucene::ChecksumIndexOutput::seek | ( | int64_t | pos) |  |

virtual

Sets current position in this file, where the next write will occur.

See Also
  getFilePointer()

Implements Lucene::IndexOutput.

boost::shared_ptr< ChecksumIndexOutput > Lucene::ChecksumIndexOutput::shared_from_this | ( | ) |  |

inline

virtual void Lucene::ChecksumIndexOutput::writeByte | ( | uint8_t | b) |  |

virtual

Writes a single byte.

See Also
  IndexInput::readByte()

Implements Lucene::IndexOutput.

virtual void Lucene::ChecksumIndexOutput::writeBytes | ( | const uint8_t * | b,
|  | int32_t | offset,
|  | int32_t | length
| ) |  |

virtual

Writes an array of bytes.

Parameters

  b | the bytes to write.
  length | the number of bytes to write.

See Also
  IndexInput::readBytes(uint8_t*, int32_t, int32_t)

Implements Lucene::IndexOutput.

## Field Documentation

boost::crc_32_type Lucene::ChecksumIndexOutput::checksum

protected

IndexOutputPtr Lucene::ChecksumIndexOutput::main

protected

The documentation for this class was generated from the following file:

- ChecksumIndexOutput.h

clucene.sourceforge.net